Is Photoshop Elements 5 compatible with Windows 7?

New Here ,
May 10, 2010 May 10, 2010

Copy link to clipboard

Copied

I would like to install PSE5 on my new PC computer using Windows 7. Is it possible?

Message title was edited by: Brett N

Views

38.0K

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct Answer

Most Valuable Participant , May 10, 2010 May 10, 2010
If after installing the 5.0.2 update (required) you have problems (most people don't), try running PSE in XP compatibility mode:http://www.johnrellis.com/psedbtool/photoshop-elements-faq.htm#_Run_in_Vista

Likes

translate

Translate

Translate
Advocate ,
May 10, 2010 May 10, 2010

Copy link to clipboard

Copied

The version which is officially stated as being compatible with Windows 7 is PSE 8. Earlier versions may install fine on Win 7 but they arent certified because those were in the market before Win7.

For specific issues, if any with PSE5, may be other users on the forum can add more..

Regards,

ankush

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
May 10, 2010 May 10, 2010

Copy link to clipboard

Copied

OK. Thanks a lot.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
May 10, 2010 May 10, 2010

Copy link to clipboard

Copied

Many users report PSE5.0.2 working properly under Windows 7

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
May 10, 2010 May 10, 2010

Copy link to clipboard

Copied

If after installing the 5.0.2 update (required) you have problems (most people don't), try running PSE in XP compatibility mode:

http://www.johnrellis.com/psedbtool/photoshop-elements-faq.htm#_Run_in_Vista

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Aug 16, 2011 Aug 16, 2011

Copy link to clipboard

Copied

I am running Win7 Premier (64bit) and trying to use PSE 5.02. When I try to start the program I get "Cannot load fastcore routines, file not found" any ideas or help would be appreciated. Thanks

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Aug 16, 2011 Aug 16, 2011

Copy link to clipboard

Copied

There are things in this thread that seemed to fix the problem on Vista, so maybe it'll work for you on Win 7:

http://forums.adobe.com/message/2086719

The solutions suggest that some of what PSE needs to run is inaccessible, either because permissions have denied access or that the path to look for them in has changed.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Aug 16, 2011 Aug 16, 2011

Copy link to clipboard

Copied

Thank you. I'll let you know if it works

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Nov 12, 2012 Nov 12, 2012

Copy link to clipboard

Copied

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
May 10, 2010 May 10, 2010

Copy link to clipboard

Copied

Depending on your version of Windows 7, you may be able to use M$'s "Virtual PC" and Install "XP Mode". This requires Windows 7 Professional, (or better). It cannot be used with Win 7 starter or Win 7 Home Premium. This is a virtual machine solution, and when implemented, you have a full version of Windows XP Pro 32 bit, running in the virtual machine environment.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Advocate ,
May 10, 2010 May 10, 2010

Copy link to clipboard

Copied

Some of the problems that you might encounter while using PSE5 and Win7 are that the e-mail client compatibility issues.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Oct 19, 2014 Oct 19, 2014

Copy link to clipboard

Copied

I viewed this technology an it stats that it will work on all versions of windows 7. Do you have personnel knowledge that other versions of Win7 will not work?  Respectfully submitted always.

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines